function Elgoh.ItemTooltip(tooltip)
	
	_,item = tooltip:GetItem()
	itemLevel,itemCost = Elgoh.iLvl(item)
	if(itemLevel<Elgoh.Settings.MiniLvl) then return false; end
	
	os_price=itemCost*Elgoh.Settings.OSDiscount
	tooltip:AddDoubleLine("Mainspec price: ", itemCost, 0.7, 0.3, 1.0, 0.8, 0.8, 0.8);
	tooltip:AddDoubleLine("Offspec price: ", os_price, 0.7, 0.3, 1.0, 0.8, 0.8, 0.8);
	tooltip:Show();
end

function Elgoh.iLvl(item)
	if not item then return -1000,0; end
	name, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc, itemTexture, itemSellPrice = GetItemInfo(item);
	if(itemLevel==nil) then return 0; end
	local itemString = string.match(itemLink, "item[%-?%d:]+")
	local _, itemID, enchant, gemID1, gemID2, gemID3, gemID4, suffixID, uniqueID, level, upgradeID, instanceDifficultyID, numBonusIDs, BonusID1, BonusID2 = strsplit(":", itemString)
	if(Elgoh.ids[BonusID1]~=nil) then
		ElPrint(Elgoh.ids[BonusID1].."Detected");
	else
		--ElPrint("New bonus id detected: "..BonusID1.." (please whisper taurast with your item and this number)");
	end
	
	dkp_base = itemLevel/2
	
	-- Set slot modifier
	dkp_slot = 0
	if (itemEquipLoc == "INVTYPE_HEAD") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_NECK") then
		dkp_slot = 0.54
	elseif (itemEquipLoc == "INVTYPE_SHOULDER") then
		dkp_slot = 0.74
	elseif (itemEquipLoc == "INVTYPE_CHEST") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_ROBE") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_WAIST") then
		dkp_slot = 0.74
	elseif (itemEquipLoc == "INVTYPE_LEGS") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_FEET") then
		dkp_slot = 0.74
	elseif (itemEquipLoc == "INVTYPE_WRIST") then
		dkp_slot = 0.54
	elseif (itemEquipLoc == "INVTYPE_HAND") then
		dkp_slot = 0.74
	elseif (itemEquipLoc == "INVTYPE_FINGER") then
		dkp_slot = 0.54
	elseif (itemEquipLoc == "INVTYPE_TRINKET") then
		dkp_slot = 0.68
	elseif (itemEquipLoc == "INVTYPE_CLOAK") then
		dkp_slot = 0.54
	elseif (itemEquipLoc == "INVTYPE_WEAPON") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_SHIELD") then
		dkp_slot = 0.65
	elseif (itemEquipLoc == "INVTYPE_2HWEAPON") then
		dkp_slot = 1.5
	elseif (itemEquipLoc == "INVTYPE_WEAPONMAINHAND") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_WEAPONOFFHAND") then
		dkp_slot = 1
	elseif (itemEquipLoc == "INVTYPE_HOLDABLE") then
		dkp_slot = 0.52
	elseif (itemEquipLoc == "INVTYPE_RANGED" or itemEquipLoc == "INVTYPE_RANGEDRIGHT" or itemEquipLoc == "INVTYPE_THROWN") then
		if (itemSubType == "Guns" or itemSubType == "Bows" or itemSubType == "Crossbows") then
			dkp_slot = 1.5
		else
			dkp_slot = 0.50
		end
	elseif (itemEquipLoc == "INVTYPE_RELIC") then
		dkp_slot = 0.30
	else
		dkp_slot = 0
	end
	
	if (dkp_base == 0 or dkp_slot == 0) then 
		return -1000,0
	else
		return itemLevel,math.floor(dkp_base * dkp_slot)
	end 
end